org.apache.lucene.queries

## Class FilterClause

- java.lang.Object
- - org.apache.lucene.queries.FilterClause

-     public final class FilterClause
      extends Object

  A Filter that wrapped with an indication of how that filter is used when composed with another filter. (Follows the boolean logic in BooleanClause for composition of queries.)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterClause(Filter filter, BooleanClause.Occur occur)` Create a new FilterClause

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Filter` | `getFilter()` Returns this FilterClause's filter
    `BooleanClause.Occur` | `getOccur()` Returns this FilterClause's occur parameter
    `int` | `hashCode()`
    `String` | `toString()`
    `String` | `toString(String field)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterClause

          public FilterClause(Filter filter,
                      BooleanClause.Occur occur)

      Create a new FilterClause
      Parameters:
        `filter` - A Filter object containing a BitSet
        `occur` - A parameter implementation indicating SHOULD, MUST or MUST NOT

  - ### Method Detail

    - #### getFilter

          public Filter getFilter()

      Returns this FilterClause's filter
      Returns:
        A Filter object

    - #### getOccur

          public BooleanClause.Occur getOccur()

      Returns this FilterClause's occur parameter
      Returns:
        An Occur object

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString(String field)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.